FIX: allow specifying platform name for platform specific gems (PR #10559)

Discussed here: https://meta.discourse.org/t/facing-an-issue-while-installing-some-gems-in-the-plugin/161780

GitHub

This pull request has been mentioned on Discourse Meta. There might be relevant details there:

https://meta.discourse.org/t/facing-an-issue-while-installing-some-gems-in-the-plugin/161780/9

OK seems like a reasonable workaround, should not impact any existing plugins.